Bug 552424 - Update to Transmission 1.77 needed
Summary: Update to Transmission 1.77 needed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: transmission
Version: 12
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-05 00:45 UTC by Charles Kerr
Modified: 2013-03-13 05:47 UTC (History)
4 users (show)

Fixed In Version: 1.77-2.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-12 23:40:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 500625 None None None Never

Description Charles Kerr 2010-01-05 00:45:00 UTC
Transmission 1.77 has been released, which includes a bugfix that prevents user files from being overwritten by maliciously-crafted .torrent files.
 
The tarball is available at http://mirrors.m0k.org/transmission/files/transmission-1.77.tar.xz

Release notes are at http://trac.transmissionbt.com/wiki/Changes#version-1.77

As with 1.76, this release's diffs are intentionally small to make it easier to use in stable distro cycles.  Should you want the security patch, its diffs can be found at http://trac.transmissionbt.com/changeset/9829/

Comment 1 Fedora Update System 2010-01-05 07:45:12 UTC
transmission-1.77-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/transmission-1.77-1.fc12

Comment 2 Rahul Sundaram 2010-01-05 07:57:35 UTC
Charles, can you confirm that Fedora 11 which includes 1.72 currently needs this fix? I have trouble building 1.77 in Fedora 11

http://koji.fedoraproject.org/koji/taskinfo?taskID=1902527

If it requires this fix, I can just take the security patch instead of bumping up the version

Comment 3 Charles Kerr 2010-01-05 21:43:30 UTC
Rahul: yes, it appears that 1.72 is affected by this vulnerability.  I've made a 1.72 version of the diff for you at http://transmission.pastebay.com/80706

Alternately, if you'd like me to take a look at getting 1.77 to build on Fedora 11, I'd be happy to do that.  That koji.fedoraproject.org link didn't appear to have a readable build.log.

As an aside, 1.77 should fix (or at least ameliorate) the crash-on-shutdown bug that's causing so much noise in bugzilla.redhat.com... :)

Comment 4 Fedora Update System 2010-01-05 22:55:22 UTC
transmission-1.77-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update transmission'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0197

Comment 5 Rahul Sundaram 2010-01-06 11:27:39 UTC
Thanks Charles. If you can take a look at building 1.77 for Fedora 11, I would appreciate it very much. Keeping the different versions aligned is useful in reducing maintenance load. I am tired of the abrt crash reports as well :-)

Comment 6 Fedora Update System 2010-01-08 23:32:55 UTC
transmission-1.77-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/transmission-1.77-2.fc11

Comment 7 Fedora Update System 2010-01-12 23:39:35 UTC
transmission-1.77-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update transmission'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-0388

Comment 8 Fedora Update System 2010-01-12 23:40:05 UTC
transmission-1.77-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-01-15 22:17:25 UTC
transmission-1.77-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.